<?php
function module_edit()
{
	global $global,$smarty;
	$obj = new goods();
	$obj->set_where('goo_id = '.$global['id']);
	$goods = $obj->get_one();
	$obj = new attribute();
	$att_arr = $obj->get_list();
	$goods['att'] = get_att_list($att_arr,$goods['goo_attribute']);
	$smarty->assign('goods',$goods);
	$smarty->assign('editor_text',$goods['goo_text']);
	
	$list = array();
	$obj = new cat_goo();
	$arr = $obj->get_list();
	if(count($arr) > 0)
	{
		$list = $obj->set_cat_order($arr);	
	}
	$smarty->assign('cat_list',$list);
	
	$obj = new brand();
	$smarty->assign('brand',$obj->get_list());
	$smarty->assign('upl_date',date('Ymd'));
}
//红头船
?>